Submit My Action Request
Submit or discard an action request that’s in its initial CREATED status.
When submitting, the action request status changes to pending approval. The approval window begins, and reviewers must approve before the window ends.
When discarding, the action request is abandoned, and no further action can be taken.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
projectId
ID of the project.
requestId
ID of the action request.
Request
This endpoint expects an object.
action
Action to take on the initial request. The requester can submit (confirm) or discard the request.
Allowed values:
comment
Comment from the requester explaining why they want to perform the action.
Response
Action request submitted or discarded.
actionApprovalRequest
Action request details.
Errors
403
Forbidden Error
404
Not Found Error
409
Conflict Error